<template>
  <zt-dialog ref="dialog" column="2">
  <el-card shadow="never" class="aui-card--fill">
    <div class="mod-project-project}">
      <zt-table-wraper query-url="/project/Project/page" delete-url="/project/Project" v-slot="{ table }">
        <el-table v-loading="table.dataLoading"
                  :data="table.dataList" height="100px"
                  v-adaptive="{bottomOffset:70}"
                  border
                  @row-dblclick="selectedProject"
                  @selection-change="table.selectionChangeHandle">
          <el-table-column prop="entrustUnitName" label="委托单位名称"/>
          <el-table-column prop="developUnitName" label="开发单位名称"/>
          <el-table-column prop="softwareName" label="软件名称"/>
          <el-table-column prop="code" label="项目编号"/>
          <el-table-column prop="identity" label="项目标识"/>
          <zt-table-column-dict prop="secretClass" label="密级" dict="secret_class"/>
          <zt-table-column-dict prop="criticalLevel" label="关键等级" dict="critical_level"/>
          <zt-table-column-dict prop="testLevel" label="测试级别" dict="test_level"/>
          <zt-table-column-dict prop="softwareType" label="软件类型" dict="software_type"/>
          <el-table-column prop="projectLeader" label="项目负责人"/>
          <zt-table-column-dict prop="isContract" label="是否签署合同" dict="is_or_not"/>
        </el-table>
      </zt-table-wraper>
    </div>
  </el-card>
  </zt-dialog>
</template>

<script>
export default {
  name:'Project-select',
  data() {
    return {
      dataForm: {
        softwareName: '',
        secretClass: '',
        criticalLevel: '',
        testLevel: '',
        softwareType: '',
        isContract: '',
      }
    }
  },
  methods:{
    init(){
      // console.log(this.dataForm,'this.dataForm')
    },
    async selectedProject(row){
      console.log(row,'row')
      await this.$tip.success()
      this.$refs.dialog.close()
      this.$emit('setConstructionInfo',row)
    }
  },
}
</script>
<style>
.form-input-width-1 .el-form-item>.el-form-item__content .el-input{
  width: 150px;
}
</style>
